//
//  SysInfo.swift
//  ywt-client-ios
//
//  Created by 北京居家科技有限公司 on 2022/3/23.
//

import Foundation

struct SysInfo : Encodable {
    var versionName: String;
    var versionCode: String;
    var is_dev: Bool;
    var device_key: UUID;
    var device_type: String;
    var device_model: String;
    var device_sys_version: String;
    var device_screen_width: Double;
    var device_screen_height: Double;
    
    init(versionName: String, versionCode: String, is_dev: Bool, device_key: UUID, device_type: String,
         device_model: String, device_sys_version: String, device_screen_width: Double, device_screen_height: Double) {
        self.versionName = versionName
        self.versionCode = versionCode
        self.is_dev = is_dev
        self.device_key = device_key
        self.device_type = device_type
        self.device_model = device_model
        self.device_sys_version = device_sys_version
        self.device_screen_width = device_screen_width
        self.device_screen_height = device_screen_height
    }
}
